/*
 * setupmenu.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef MANUAL_SETUPMENU_H_
#define MANUAL_SETUPMENU_H_

#include <vdr/plugin.h>

struct cManualSetup 
{
  cManualSetup(void);

  bool SetupParse(const char *Name, const char *Value);

  char basefile[MaxFileName];
};

extern cManualSetup ManualSetup;

class cMenuSetupManual : public cMenuSetupPage 
{
 private:
    cManualSetup newManualSetup;
//    const char **basefiles;
 protected:
    virtual void Store(void);
 public:
    cMenuSetupManual(void);
    virtual eOSState ProcessKey(eKeys Key);
};

class cManualTextItem : public cOsdItem
{
public:
  cManualTextItem(const char *Text);
};

#endif